## e-cal-component-alarm-repeat e-cal-component-alarm-repeat — An ECalComponentAlarmRepeat structure |

## Functions

ECalComponentAlarmRepeat * | e_cal_component_alarm_repeat_new ()
ECalComponentAlarmRepeat * | e_cal_component_alarm_repeat_new_seconds ()
ECalComponentAlarmRepeat * | e_cal_component_alarm_repeat_copy ()
void | e_cal_component_alarm_repeat_free ()
gint | e_cal_component_alarm_repeat_get_repetitions ()
void | e_cal_component_alarm_repeat_set_repetitions ()
ICalDuration * | e_cal_component_alarm_repeat_get_interval ()
void | e_cal_component_alarm_repeat_set_interval ()
gint | e_cal_component_alarm_repeat_get_interval_seconds ()
void | e_cal_component_alarm_repeat_set_interval_seconds ()

## Types and Values

| ECalComponentAlarmRepeat

## Object Hierarchy

        GBoxed
        ╰── ECalComponentAlarmRepeat

## Includes

    #include <libecal/libecal.h>

## Description

Contains functions to work with the ECalComponentAlarmRepeat structure.

## Functions

### e_cal_component_alarm_repeat_new ()

    ECalComponentAlarmRepeat *
    e_cal_component_alarm_repeat_new (gint repetitions,
                                      const ICalDuration *interval);

Creates a new ECalComponentAlarmRepeat describing alarm repetitions. The returned structure should be freed with `e_cal_component_alarm_repeat_free()`, when no longer needed.

#### Parameters

repetitions | number of extra repetitions, zero for none |
interval | interval between repetitions. | [not nullable]

#### Returns

a newly allocated ECalComponentAlarmRepeat.

[transfer full]

Since: 3.34

### e_cal_component_alarm_repeat_new_seconds ()

    ECalComponentAlarmRepeat *
    e_cal_component_alarm_repeat_new_seconds
                                   (gint repetitions,
                                    gint interval_seconds);

Creates a new ECalComponentAlarmRepeat describing alarm repetitions. The returned structure should be freed with `e_cal_component_alarm_repeat_free()`, when no longer needed.

#### Parameters

repetitions | number of extra repetitions, zero for none |
interval_seconds | interval between repetitions, in seconds |

#### Returns

a newly allocated ECalComponentAlarmRepeat.

[transfer full]

Since: 3.34

### e_cal_component_alarm_repeat_copy ()

    ECalComponentAlarmRepeat *
    e_cal_component_alarm_repeat_copy (const ECalComponentAlarmRepeat *repeat);

#### Parameters

repeat | an ECalComponentAlarmRepeat to copy. | [not nullable]

#### Returns

a newly allocated ECalComponentAlarmRepeat, copy of `repeat` . The returned structure should be freed with `e_cal_component_alarm_repeat_free()`, when no longer needed.

[transfer full]

Since: 3.34

### e_cal_component_alarm_repeat_free ()

    void
    e_cal_component_alarm_repeat_free (gpointer repeat);

Free the `repeat` , previously allocated by `e_cal_component_alarm_repeat_new()`, `e_cal_component_alarm_repeat_new_seconds()` or `e_cal_component_alarm_repeat_copy()`.

[skip]

#### Parameters

repeat | an ECalComponentAlarmRepeat to free. | [type ECalComponentAlarmRepeat][nullable]

Since: 3.34

### e_cal_component_alarm_repeat_get_repetitions ()

    gint
    e_cal_component_alarm_repeat_get_repetitions
                                   (const ECalComponentAlarmRepeat *repeat);

#### Parameters

repeat | an ECalComponentAlarmRepeat |

#### Returns

the repetitions count of the `repeat`

Since: 3.34

### e_cal_component_alarm_repeat_set_repetitions ()

    void
    e_cal_component_alarm_repeat_set_repetitions
                                   (ECalComponentAlarmRepeat *repeat,
                                    gint repetitions);

Set the `repetitions` count of the `repeat` .

#### Parameters

repeat | an ECalComponentAlarmRepeat |
repetitions | number of repetitions, zero for none |

Since: 3.34

### e_cal_component_alarm_repeat_get_interval ()

    ICalDuration *
    e_cal_component_alarm_repeat_get_interval
                                   (const ECalComponentAlarmRepeat *repeat);

Returns the interval between repetitions of the `repeat` , as an ICalDuration object. This object is owned by `repeat` and should not be freed. It's valid until the `repeat` is not freed or its interval changed with either `e_cal_component_alarm_repeat_set_interval()` or `e_cal_component_alarm_repeat_set_interval_seconds()`.

#### Parameters

repeat | an ECalComponentAlarmRepeat |

#### Returns

the interval between repetitions of the `repeat` .

[transfer none]

Since: 3.34

### e_cal_component_alarm_repeat_set_interval ()

    void
    e_cal_component_alarm_repeat_set_interval
                                   (ECalComponentAlarmRepeat *repeat,
                                    const ICalDuration *interval);

Set the `interval` between repetitions of the `repeat` .

#### Parameters

repeat | an ECalComponentAlarmRepeat |
interval | interval between repetitions, as an ICalDuration. | [not nullable]

Since: 3.34

### e_cal_component_alarm_repeat_get_interval_seconds ()

    gint
    e_cal_component_alarm_repeat_get_interval_seconds
                                   (const ECalComponentAlarmRepeat *repeat);

Returns the interval between repetitions of the `repeat` in seconds.

#### Parameters

repeat | an ECalComponentAlarmRepeat |

#### Returns

the interval between repetitions of the `repeat`

Since: 3.34

### e_cal_component_alarm_repeat_set_interval_seconds ()

    void
    e_cal_component_alarm_repeat_set_interval_seconds
                                   (ECalComponentAlarmRepeat *repeat,
                                    gint interval_seconds);

Set the `interval_seconds` between repetitions of the `repeat` .

#### Parameters

repeat | an ECalComponentAlarmRepeat |
interval_seconds | interval between repetitions, in seconds |

Since: 3.34

## Types and Values

### ECalComponentAlarmRepeat

    typedef struct _ECalComponentAlarmRepeat ECalComponentAlarmRepeat;

A structure holding whether and how an alarm repeats. Use the functions below to work with it.